Package com.meterware.httpunit.parsing

# Interface HTMLParserListener

All Known Subinterfaces:
  `HtmlErrorListener`

public interface HTMLParserListener
A listener for messages from the HTMLParser. This provides a mechanism to watch for errors and warnings generated during parsing.

Author:
  Russell Gold, Benoit Xhenseval

## Method Summary

Modifier and Type
Method
Description
`void`
`error(URL url, String msg, int line, int column)`
Invoked when the parser wishes to report an error.
`void`
`warning(URL url, String msg, int line, int column)`
Invoked when the parser wishes to report a warning.

## Method Details

### warning

void warning(URL url, String msg, int line, int column)
Invoked when the parser wishes to report a warning.

Parameters:
  `url` - the location of the document to which the warning applies.
  `msg` - the warning message
  `line` - the line in the document on which the problematic HTML was found
  `column` - the column in the document on which the problematic HTML was found

### error

void error(URL url, String msg, int line, int column)
Invoked when the parser wishes to report an error.

Parameters:
  `url` - the location of the document to which the error applies.
  `msg` - the warning message
  `line` - the line in the document on which the problematic HTML was found
  `column` - the column in the document on which the problematic HTML was found